No tenant id displayed using server-group-list --all-projects

Bug #1481210 reported by Zhenyu Zheng on 2015-08-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Wishlist
Zhenyu Zheng
python-novaclient
Undecided
Zhenyu Zheng

Bug Description

Currently, Admin can list all existing server groups using "nova server-group-list --all-projects".
But the output display does not contain project id information, it is really difficult to identify which server group
belongs to which project.

Tags: api Edit Tag help
Changed in nova:
assignee: nobody → Zhenyu Zheng (zhengzhenyu)
affects: nova → python-novaclient
no longer affects: nova
Changed in nova:
assignee: nobody → Zhenyu Zheng (zhengzhenyu)

Fix proposed to branch: master
Review: https://review.openstack.org/209011

Changed in python-novaclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/209018

Changed in nova:
status: New → In Progress
Changed in nova:
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/209011
Committed: https://git.openstack.org/cgit/openstack/python-novaclient/commit/?id=01c2e60eb3f3718884dd77cb05b4cde76052fb9d
Submitter: Jenkins
Branch: master

commit 01c2e60eb3f3718884dd77cb05b4cde76052fb9d
Author: Kevin_Zheng <email address hidden>
Date: Tue Aug 4 19:43:47 2015 +0800

    Allow display project-id for server groups

    Currently, the display of server groups doesn't contain informations
    about project-id. It is very difficult for admin to tell which
    group belongs to which project when using command:
    "nova server-group-list --all-projects".

    This patch adds project-id to the display.

    Change-Id: I010bf02f696396c404bc7a51ce93252c8c7f68a6
    Partial-bug:#1481210

Changed in python-novaclient:
status: In Progress → Fix Committed
Changed in python-novaclient:
milestone: none → 2.27.0
status: Fix Committed → Fix Released
Matt Riedemann (mriedem) on 2015-10-05
tags: added: api
Matt Riedemann (mriedem) wrote :

The change in python-novaclient should have never been merged, I've proposed a revert here:

https://review.openstack.org/231125

Reviewed: https://review.openstack.org/209917
Committed: https://git.openstack.org/cgit/openstack/nova-specs/commit/?id=3ce62edb2a0777cf5ce2daff6a40b3cd10674ca7
Submitter: Jenkins
Branch: master

commit 3ce62edb2a0777cf5ce2daff6a40b3cd10674ca7
Author: Kevin_Zheng <email address hidden>
Date: Thu Aug 6 20:46:37 2015 +0800

    Add project id and user id information in os-server-group API

    APIImpact: Project id and user id information will
    be returned for os-server-group API

    Change-Id: I167141676ef4f597a1c022c1fd5dc96fd55d02ad
    blueprint add-project-id-and-user-id
    Partial-Bug: 1481210

Reviewed: https://review.openstack.org/209018
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=6c74a145bc3f412b0f5ef1965b00c8542963ed26
Submitter: Jenkins
Branch: master

commit 6c74a145bc3f412b0f5ef1965b00c8542963ed26
Author: Kevin_Zheng <email address hidden>
Date: Tue Aug 4 19:54:57 2015 +0800

    Add project-id and user-id when list server-groups

    Currently, command "nova server-group-list" and
    "nova server-group-get" doesn't return groups'
    project id and user id information. It is really
    hard to identify which group belong to which
    project/user when admin user use this command
    with option "--all-projects".

    This patch add project-id and user-id to the list.
    All os-server-groups APIs will contain the above
    mentioned data in the response data.

    DocImpact: This adds API microversion
    APIImpact: Project id information will be returned for
    os-servers-group API

    Change-Id: I0405ed6271c33981578841cfade220758615b1fd
    Implements: blueprint add-project-id-and-user-id
    Partial-bug: #1481210
    Depends-On: I167141676ef4f597a1c022c1fd5dc96fd55d02ad

Changed in nova:
status: In Progress → Fix Committed

As we use the "direct-release" model in Nova we don't use the
"fix release" status for merged bug fixes anymore. I'm setting
this manually to "fix-released" to be consistent.

[1] "[openstack-dev] [release][all] bugs will now close automatically
    when patches merge"; Doug Hellmann; 2015-12-07;
    http://lists.openstack.org/pipermail/openstack-dev/2015-December/081612.html

Changed in nova:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers